Gtk Warning: Locale not supported by C library on Inkscape 0.48.2 Mac Lion

Bug #1132277 reported by XF on 2013-02-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Inkscape
Low
Unassigned

Bug Description

Hey i come from a game called Xmoto:

http://xmoto.tuxfamily.org/

I wanted to have Inksmoto 0.7.0 for Mac Lion, since some of them are only for snow leopard, leopard, and tiger, but not on Lion or Mountain Lion.

So i created my own Inksmoto 0.7.0 for Inkscape on Lion.

I installed Inkscape 0.48.2, The Inksmoto extension 0.7.0, Python 2.7.3, XQuartz 2.7.5_rc1, Eggbot 2.3.1, and PyGTK 2.24.0.

After i get everything installed, and wanted to try everything, i come up with this error:

(process:16204): Gtk-WARNING **: Locale not supported by C library.
 Using the fallback 'C' locale.

Is there a way to fix this?

I really want Inksmoto for Lion so bad!!!!!!

XF (jones-colton97) on 2013-02-27
description: updated
description: updated
jazzynico (jazzynico) on 2013-02-27
summary: - Gtk Warning: Locale not supported by C library on Inkscape 0.47 Mac Lion
+ Gtk Warning: Locale not supported by C library on Inkscape 0.48.2 Mac
+ Lion
jazzynico (jazzynico) on 2013-02-27
tags: added: osx
su_v (suv-lp) wrote :

The GTK+ warning itself is harmless (GTK+-based applications usually run ok with fallback C locale), and in itself not a bug.

Underlying cause:
The package script can fail to properly detect the locale defined in the system preferences. This was addressed in
<http://bazaar.launchpad.net/~inkscape.dev/inkscape/trunk/revision/11765>
<http://bazaar.launchpad.net/~inkscape.dev/inkscape/RELEASE_0_48_BRANCH/revision/9917>
by adding a fallback value for $LANG (en_US.UTF-8). It remains to be seen which parts of the existing packaging solution will be included in newer scripts (current work-in-progress, see mailing list 'inkscape-devel').

Related reports with regard to failing to properly detect & set the system language:
bug #617079, bug #476678, bug #406662

> I really want Inksmoto for Lion so bad!!!!!!

Providing support for the installation of inksmoto (which turned out to be the actual problem), is beyond the scope of Inkscape's bug tracker (the external extension depends on PyGTK which is not included in the Mac OS X package of Inkscape, since none of the official extensions requires it).

Inksmoto 0.7.0 does work e.g. when used with Inkscape installed via MacPorts (tested and confirmed with Inkscape 0.48.3.1 and 0.48.4 on OS X Lion). Any missing dependencies for inksmoto (e.g. py-pygtk) need also be installed via MacPorts (there exists no port for the inkscape-based level editor).

Proposing to close this report.

tags: added: packaging
su_v (suv-lp) wrote :

Closing as 'Fix Released' (milestone 0.48.4) since the missing fallback value for $LANG in launcher script of the official Mac package of Inkscape <= 0.48.2 (which resulted in the reported GTK+ warning about 'Locale not supported') has been committed to trunk (r11765) and backported to the release branch (r9917).

As discussed with XF on irc, the installation of inksmoto based on MacPorts' Inkscape 0.48.4 and py-pygtk 2.24 finally was successful and works as expected.

Changed in inkscape:
importance: Undecided → Low
milestone: none → 0.48.4
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers